%define major   	1
%define libname 	%mklibname mal %{major}
%define develname	%mklibname mal -d

Name:		libmal
Version:	0.44.1
Release:	%mkrel 16
Summary:	MAL library for AvantGo
Group:		System/Libraries
License:	MPL
URL:		https://www.jlogday.com/code/libmal/
Source:		https://www.jlogday.com/code/libmal/%{name}-%{version}.tar.gz
Patch1:		libmal-0.44-lib64.patch
Patch2:		libmal-0.44-libtool.patch
Patch3:		libmal-0.44-64bit-fixes.patch
Patch4:		libmal-0.44-automake-1.13.patch
Patch5:		libmal-fix-building-with-gcc14.patch
Requires:	pilot-link
BuildRequires:	autoconf
BuildRequires:	pkgconfig(pilot-link) >= 0.12.0

%package -n	%{libname}
Summary:	MAL library for AvantGo
Group:		System/Libraries

%description 
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions.


%description -n %{libname}
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions. 


%package -n	%{develname}
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package includes the header files and libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%package	malsync
Summary:	Utility to update Palms from Avantgo and MobileLink web site
Group:		Communications/Mobile
Provides:	malsync

%description malsync
Malsync is a tool for updating Palm devices from the AvantGo and
MobileLink web sites.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build CFLAGS="%{optflags}"

%install
%make_install
# Remove unpackaged copy of README
rm -f %{buildroot}%{_docdir}/libmal1/README

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files malsync
%_bindir/malsync

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%_includedir/libmal/
%{_libdir}/*.so


%changelog
* Sun Oct 20 2024 daviddavid <daviddavid> 0.44.1-16.mga10
+ Revision: 2108759
- build with our compile flags

* Fri Oct 18 2024 ns80 <ns80> 0.44.1-15.mga10
+ Revision: 2108006
- build without _hardened_build
- try to fix building with GCC 14

* Mon Mar 28 2022 umeabot <umeabot> 0.44.1-14.mga9
+ Revision: 1830954
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.44.1-13.mga8
+ Revision: 1514231
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.44.1-12.mga7
+ Revision: 1298974
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- USe new make macros

* Wed Feb 03 2016 umeabot <umeabot> 0.44.1-11.mga6
+ Revision: 934100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.44.1-10.mga5
+ Revision: 750384
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.44.1-9.mga5
+ Revision: 726732
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.44.1-8.mga5
+ Revision: 681587
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.44.1-7.mga4
+ Revision: 507254
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.44.1-6.mga3
+ Revision: 357806
- fix build with latest automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.44.1-5.mga3
+ Revision: 308466
- update RPM group

* Fri Jan 21 2011 ahmad <ahmad> 0.44.1-4.mga1
+ Revision: 29461
- drop old/unneeded scriptlets
- don't ship .la
- imported package libmal


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.44.1-2mdv2011.0
+ Revision: 602574
- rebuild

* Thu Apr 22 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.44.1-1mdv2010.1
+ Revision: 538000
- new version 0.44.1
  disabled static build
  updated Url and Source

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.44-7mdv2010.1
+ Revision: 520883
- rebuilt for 2010.1

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 0.44-6mdv2010.0
+ Revision: 453768
- rebuild for new location of libusb

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.44-5mdv2010.0
+ Revision: 425596
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.44-4mdv2009.1
+ Revision: 365614
- rediff 64bit fixes patch
- reidff libtool patch

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.44-4mdv2009.0
+ Revision: 222926
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.44-3mdv2008.1
+ Revision: 189656
- Fix group
- protect major

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.44-2mdv2008.1
+ Revision: 150706
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.44-1mdv2008.0
+ Revision: 55239
- rebuild for 2008
- new devel policy
- spec clean
- now includes a malsync binary, so use this one and obsolete malsync package
- rediff patches
- new release 0.44
- Import libmal




* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31-9mdv2007.0
- Patch4: use pilot-link 0.12 API

* Sun Jan 01 2006 Mandrake Linux KDE Team <kde@mandrakesoft.com> 0.31-8mdk
- Rebuild

* Fri Nov 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.31-7mdk
- Rebuild

* Thu Oct 23 2003 Stefan van der Eijk <stefan@eijk.nu> 0.31-6mdk
- BuildRequires

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.31-5mdk
- lib64 & libtool fixes

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.31-4mdk
- Rebuild

* Wed Jul 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.31-3mdk
- Fix requires

* Wed Jul 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.31-2mdk
- Rebuild

* Mon Jul 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.31-1mdk
- Update 0.31 (thanks Texstar to point me it)

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20-3mdk
- Fix spec file

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20-2mdk
- Fix compile

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20-1mdk
- Initial package, initial spec file by ShavenYak <shavenyak@smith.dyndns.org>
